Lavalite package that provides company_structure management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `company/company_structure`.

    "company/company_structure": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Company\CompanyStructure\Providers\CompanyStructureServiceProvider::class,

And also add it to alias

    'CompanyStructure'  => Company\CompanyStructure\Facades\CompanyStructure::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Company\\CompanyStructureTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Company\CompanyStructure\Providers\CompanyStructureServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Company\CompanyStructure\Providers\CompanyStructureServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Company\CompanyStructure\Providers\CompanyStructureServiceProvider" --tag="view"


## Usage


