    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#details" data-toggle="tab">  {!! trans('company_structure::department_role.name') !!}</a></li>
            <div class="box-tools pull-right">
                                @include('company_structure::admin.department_role.partial.workflow')
                                <button type="button" class="btn btn-success btn-sm" data-action='NEW' data-load-to='#company_structure-department_role-entry' data-href='{{guard_url('company_structure/department_role/create')}}'><i class="fa fa-plus-circle"></i> {{ trans('app.new') }}</button>
                @if($department_role->id )
                <button type="button" class="btn btn-primary btn-sm" data-action="EDIT" data-load-to='#company_structure-department_role-entry' data-href='{{ guard_url('company_structure/department_role') }}/{{$department_role->getRouteKey()}}/edit'><i class="fa fa-pencil-square"></i> {{ trans('app.edit') }}</button>
                <button type="button" class="btn btn-danger btn-sm" data-action="DELETE" data-load-to='#company_structure-department_role-entry' data-datatable='#company_structure-department_role-list' data-href='{{ guard_url('company_structure/department_role') }}/{{$department_role->getRouteKey()}}' >
                <i class="fa fa-times-circle"></i> {{ trans('app.delete') }}
                </button>
                @endif
            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('company_structure-department_role-show')
        ->method('POST')
        ->files('true')
        ->action(guard_url('company_structure/department_role'))!!}
            <div class="tab-content clearfix disabled">
                <div class="tab-pan-title"> {{ trans('app.view') }}   {!! trans('company_structure::department_role.name') !!}  [{!! $department_role->name !!}] </div>
                <div class="tab-pane active" id="details">
                    @include('company_structure::admin.department_role.partial.entry', ['mode' => 'show'])
                </div>
            </div>
        {!! Form::close() !!}
    </div>