@extends('resource.index')
@php
$links['create'] = guard_url('company_structure/equipment/create');
$links['search'] = guard_url('company_structure/equipment');
@endphp

@section('icon') 
<i class="pe-7s-display2"></i>
@stop

@section('title') 
{!! __('company_structure::equipment.title.main') !!}
@stop

@section('sub.title') 
{!! __('company_structure::equipment.title.list') !!}
@stop

@section('breadcrumb') 
  <li><a href="{!!guard_url('/')!!}">{{ __('app.home') }}</a></li>
  <li><a href="{!!guard_url('company_structure/equipment')!!}">{!! __('company_structure::equipment.name') !!}</a></li>
  <li>{{ __('app.list') }}</li>
@stop

@section('entry') 
<div id="entry-form">

</div>
@stop

@section('list')
    @include('company_structure::equipment.partial.list.' . $view, ['mode' => 'list'])
@stop

@section('pagination') 
    {!!$equipment->links()!!}
@stop

@section('script')

@stop

@section('style')

@stop 
