@extends('resource.show')

@php
$links['back'] = guard_url('company_structure/equipment');
$links['edit'] = guard_url('company_structure/equipment') . '/' . $equipment->getRouteKey() . '/edit';
@endphp

@section('icon') 
<i class="pe-7s-display2"></i>
@stop

@section('title') 
{!! __('company_structure::equipment.title.main') !!}
@stop

@section('sub.title') 
{!! __('company_structure::equipment.title.show') !!}
@stop

@section('breadcrumb') 
  <li><a href="{!!guard_url('/')!!}">{{ __('app.home') }}</a></li>
  <li><a href="{!!guard_url('$company_structure/equipment')!!}">{!! __('company_structure::equipment.name') !!}</a></li>
  <li>{{ __('app.show') }}</li>
@stop

@section('tabs') 
@stop

@section('tools') 
    <a href="{!!guard_url('$company_structure/equipment')!!}" rel="tooltip" class="btn btn-white btn-round btn-simple btn-icon pull-right add-new" data-original-title="" title="">
            <i class="fa fa-chevron-left"></i>
    </a>
@stop

@section('content') 
    @include('company_structure::equipment.partial.show', ['mode' => 'show'])
@stop
