            @include('company_structure::department_role.partial.header')

            <section class="grid">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('company_structure::department_role.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="main-area parent-border list-item">
                                @foreach($department_roles as $department_role)
                                <div class="item border">
                                    <div class="feature">
                                        <a href="{{trans_url('department_roles')}}/{{@$department_role['slug']}}">
                                            <img src="{{url($department_role->defaultImage('images'))}}" class="img-responsive center-block" alt="">
                                        </a>
                                    </div>
                                    <div class="content">
                                        <h4><a href="{{trans_url('department_role')}}/{{$department_role['slug']}}">{{str_limit($department_role['title'], 300)}}</a> 
                                        </h4>
                                        <div class="metas mt20">
                                            <div class="tag pull-left">
                                                <a href="#" class="">Seo Tips</a>
                                            </div>
                                            <div class="date-time pull-right">
                                                <span><i class="fa fa-comments"></i>{{@$department_role->viewcount}}</span>
                                                <span><i class="fa fa-calendar"></i>{{format_date($department_role['posted_on'])}}</span>
                                            </div>
                                        </div>
                                        <div class="divider"></div>
                                        <div class="author">
                                            <div class="avatar pull-left">
                                                {{@$department_role->user->badge}}
                                            </div>
                                            <div class="actions">
                                                

                                                
                                            </div>
                                        </div>
                                    </div>
                                </div>


                                @endforeach
                            </div>
                            <div class="pagination text-center">
                            {{ $department_roles->links() }}
                            </div>
                        </div>
                    </div>
                </div>
            </section> 