<?php

// Resource routes  for hall
Route::group(['prefix' => set_route_guard('web').'/company_structure'], function () {
    Route::put('hall/workflow/{example}/{step}', 'HallWorkflowController@putWorkflow');
    Route::get('hall/workflow/{example}/{step}/{user}', 'HallWorkflowController@getWorkflow');
    Route::resource('hall', 'HallResourceController');
});

// Public  routes for hall
Route::get('hall/workflow/{hall}/{step}/{user}', 'HallController@getWorkflow');
Route::get('hall/popular/{period?}', 'HallPublicController@popular');
Route::get('company_structures/', 'HallPublicController@index');
Route::get('company_structures/{slug?}', 'HallPublicController@show');


// Resource routes  for line
Route::group(['prefix' => set_route_guard('web').'/company_structure'], function () {
    Route::put('line/workflow/{example}/{step}', 'LineWorkflowController@putWorkflow');
    Route::get('line/workflow/{example}/{step}/{user}', 'LineWorkflowController@getWorkflow');
    Route::resource('line', 'LineResourceController');
});

// Public  routes for line
Route::get('line/workflow/{line}/{step}/{user}', 'LineController@getWorkflow');
Route::get('line/popular/{period?}', 'LinePublicController@popular');
Route::get('company_structures/', 'LinePublicController@index');
Route::get('company_structures/{slug?}', 'LinePublicController@show');


// Resource routes  for equipment
Route::group(['prefix' => set_route_guard('web').'/company_structure'], function () {
    Route::put('equipment/workflow/{example}/{step}', 'EquipmentWorkflowController@putWorkflow');
    Route::get('equipment/workflow/{example}/{step}/{user}', 'EquipmentWorkflowController@getWorkflow');
    Route::resource('equipment', 'EquipmentResourceController');
});

// Public  routes for equipment
Route::get('equipment/workflow/{equipment}/{step}/{user}', 'EquipmentController@getWorkflow');
Route::get('equipment/popular/{period?}', 'EquipmentPublicController@popular');
Route::get('company_structures/', 'EquipmentPublicController@index');
Route::get('company_structures/{slug?}', 'EquipmentPublicController@show');


// Resource routes  for department
Route::group(['prefix' => set_route_guard('web').'/company_structure'], function () {
    Route::put('department/workflow/{example}/{step}', 'DepartmentWorkflowController@putWorkflow');
    Route::get('department/workflow/{example}/{step}/{user}', 'DepartmentWorkflowController@getWorkflow');
    Route::resource('department', 'DepartmentResourceController');
});

// Public  routes for department
Route::get('department/workflow/{department}/{step}/{user}', 'DepartmentController@getWorkflow');
Route::get('department/popular/{period?}', 'DepartmentPublicController@popular');
Route::get('company_structures/', 'DepartmentPublicController@index');
Route::get('company_structures/{slug?}', 'DepartmentPublicController@show');


// Resource routes  for employees
Route::group(['prefix' => set_route_guard('web').'/company_structure'], function () {
    Route::put('employees/workflow/{example}/{step}', 'EmployeesWorkflowController@putWorkflow');
    Route::get('employees/workflow/{example}/{step}/{user}', 'EmployeesWorkflowController@getWorkflow');
    Route::resource('employees', 'EmployeesResourceController');
});

// Public  routes for employees
Route::get('employees/workflow/{employees}/{step}/{user}', 'EmployeesController@getWorkflow');
Route::get('employees/popular/{period?}', 'EmployeesPublicController@popular');
Route::get('company_structures/', 'EmployeesPublicController@index');
Route::get('company_structures/{slug?}', 'EmployeesPublicController@show');


// Resource routes  for department_role
Route::group(['prefix' => set_route_guard('web').'/company_structure'], function () {
    Route::put('department_role/workflow/{example}/{step}', 'DepartmentRoleWorkflowController@putWorkflow');
    Route::get('department_role/workflow/{example}/{step}/{user}', 'DepartmentRoleWorkflowController@getWorkflow');
    Route::resource('department_role', 'DepartmentRoleResourceController');
});

// Public  routes for department_role
Route::get('department_role/workflow/{department_role}/{step}/{user}', 'DepartmentRoleController@getWorkflow');
Route::get('department_role/popular/{period?}', 'DepartmentRolePublicController@popular');
Route::get('company_structures/', 'DepartmentRolePublicController@index');
Route::get('company_structures/{slug?}', 'DepartmentRolePublicController@show');

