<?php

namespace Company\CompanyStructure\Repositories\Eloquent;

use Company\CompanyStructure\Interfaces\DepartmentRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class DepartmentRepository extends BaseRepository implements DepartmentRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('company.company_structure.department.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('company.company_structure.department.model.model');
    }
}
