<?php

namespace Company\CompanyStructure\Repositories\Eloquent;

use Company\CompanyStructure\Interfaces\EquipmentRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class EquipmentRepository extends BaseRepository implements EquipmentRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('company.company_structure.equipment.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('company.company_structure.equipment.model.model');
    }
}
