<?php

namespace Company\CompanyStructure\Repositories\Eloquent;

use Company\CompanyStructure\Interfaces\HallRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class HallRepository extends BaseRepository implements HallRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('company.company_structure.hall.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('company.company_structure.hall.model.model');
    }
}
