<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for department in company_structure package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  department module in company_structure package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Department',
    'names'         => 'Departments',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Departments',
        'sub'   => 'Departments',
        'list'  => 'List of departments',
        'edit'  => 'Edit department',
        'create'    => 'Create new department'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'name'                       => 'Name',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'name'                       => 'Name',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Departments',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
