<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for department_role in company_structure package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  department_role module in company_structure package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'DepartmentRole',
    'names'         => 'DepartmentRoles',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'DepartmentRoles',
        'sub'   => 'DepartmentRoles',
        'list'  => 'List of department_roles',
        'edit'  => 'Edit department_role',
        'create'    => 'Create new department_role'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'role name'                  => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'role name'                  => 'Role Name',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'role name'                  => ['name' => 'Role Name', 'data-column' => 1, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'DepartmentRoles',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
