<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for hall in company_structure package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  hall module in company_structure package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Hall',
    'names'         => 'Halls',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Halls',
        'sub'   => 'Halls',
        'list'  => 'List of halls',
        'edit'  => 'Edit hall',
        'create'    => 'Create new hall'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'title'                      => 'Name of hall',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'title'                      => 'Name',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'title'                      => ['name' => 'Name', 'data-column' => 1, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Halls',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
