    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#line" data-toggle="tab">{!! trans('company_structure::line.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#company_structure-line-edit'  data-load-to='#company_structure-line-entry' data-datatable='#company_structure-line-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#company_structure-line-entry' data-href='{{guard_url('company_structure/line')}}/{{$line->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('company_structure-line-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('company_structure/line/'. $line->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="line">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('company_structure::line.name') !!} [{!!$line->name!!}] </div>
                @include('company_structure::admin.line.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>