<?php

namespace Company\CompanyStructure\Repositories\Eloquent;

use Company\CompanyStructure\Interfaces\EmployeesRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class EmployeesRepository extends BaseRepository implements EmployeesRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('company.company_structure.employees.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('company.company_structure.employees.model.model');
    }
}
